Package org.springframework.security.web.util

# Class RedirectUrlBuilder

java.lang.Object
org.springframework.security.web.util.RedirectUrlBuilder

public class RedirectUrlBuilder extends Object
Internal class for building redirect URLs. Could probably make more use of the classes in java.net for this.

Since:
  2.0

## Constructor Summary

Constructors
Constructor
Description
`RedirectUrlBuilder()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getUrl()`
`void`
`setContextPath(String contextPath)`
`void`
`setPathInfo(String pathInfo)`
`void`
`setPort(int port)`
`void`
`setQuery(String query)`
`void`
`setScheme(String scheme)`
`void`
`setServerName(String serverName)`
`void`
`setServletPath(String servletPath)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RedirectUrlBuilder

public RedirectUrlBuilder()

## Method Details

### setScheme

public void setScheme(String scheme)

### setServerName

public void setServerName(String serverName)

### setPort

public void setPort(int port)

### setContextPath

public void setContextPath(String contextPath)

### setServletPath

public void setServletPath(String servletPath)

### setPathInfo

public void setPathInfo(String pathInfo)

### setQuery

public void setQuery(String query)

### getUrl

public String getUrl()